> ## Documentation Index
> Fetch the complete documentation index at: https://docs.whitebit.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Kline

> Get candlestick (OHLCV) chart data for a trading pair at a specified interval via the V4 API.

## Rate limit

* [Recent trades](/api-reference/market-data/recent-trades) — individual trade executions for a market.
* [Market activity](/api-reference/market-data/market-activity) — 24-hour pricing and volume summary per market.


## OpenAPI

````yaml /openapi/public/http-v1.yaml GET /api/v1/public/kline
openapi: 3.0.3
info:
  title: Public HTTP API V1
  description: |
    WhiteBIT Public HTTP API V1 for market data and trading information.
    Base URL: https://whitebit.com
    All endpoints return time in Unix-time format.
    All endpoints return either a JSON object or array.
    Use HTTP method GET for API requests.
    If an endpoint requires parameters, send them as query string.
    The API caches responses for a specified duration per endpoint.

    <Warning>
    Rate limit: 1000 requests/10 sec for all endpoints.
    </Warning>
  version: 1.0.0
servers:
  - url: https://whitebit.com
    description: WhiteBIT Global Server
  - url: https://whitebit.eu
    description: WhiteBIT EU Server
security: []
tags:
  - name: Public API V1
    description: Public endpoints for market data and trading information
paths:
  /api/v1/public/kline:
    get:
      tags:
        - Public API V1
      summary: Kline
      description: >
        The endpoint retrieves information about market kline.


        <Note>

        The API caches the response for: 1 second

        </Note>


        <Warning>

        Rate limit 1000 requests/10 sec.

        </Warning>


        <Note>

        The maximum number of candles per request is 1440. Use `limit` (default:
        1440, max: 1440) to control the number of results. Use `start` and `end`
        timestamps to page through historical data.

        </Note>
      parameters:
        - name: market
          in: query
          required: true
          description: 'Available market. Example: BTC_USDT'
          schema:
            type: string
            example: BTC_USDT
        - name: start
          in: query
          required: false
          description: >-
            Start time in seconds, default value is one week earlier from the
            current time. Cannot be greater than end parameter. Example:
            1596848400
          schema:
            type: integer
            example: 1596848400
        - name: end
          in: query
          required: false
          description: >-
            End time in seconds, default value is current time. Cannot be less
            than start parameter. Example: 1596927600
          schema:
            type: integer
            example: 1596927600
        - name: interval
          in: query
          required: false
          description: >-
            Possible values - 1m, 3m, 5m, 15m, 30m, 1h, 2h, 4h, 6h, 8h, 12h, 1d,
            3d, 1w, 1M. By default in case start and end parameters were not
            specified, for minutes intervals the server will return candlesticks
            for a period of 1 day. For hours intervals will return candlesticks
            for 1 week, for days and week intervals will return candlesticks for
            1 month and for month interval will return candlesticks for 1 year.
            Default value is 1h.
          schema:
            type: string
            enum:
              - 1m
              - 3m
              - 5m
              - 15m
              - 30m
              - 1h
              - 2h
              - 4h
              - 6h
              - 8h
              - 12h
              - 1d
              - 3d
              - 1w
              - 1M
            default: 1h
            example: 1h
        - name: limit
          in: query
          required: false
          description: Possible values from 1 to 1440. Default value is 1440
          schema:
            type: integer
            minimum: 1
            maximum: 1440
            default: 1440
            example: 100
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: true
                  message:
                    type: string
                    nullable: true
                    example: null
                  result:
                    type: array
                    items:
                      type: array
                      items:
                        oneOf:
                          - type: integer
                          - type: string
                      example:
                        - 1631440800
                        - '45865.62'
                        - '45958.14'
                        - '45981.3'
                        - '45750.23'
                        - '15.327634'
                        - '703140.24230131'
                      description: >-
                        [Time in seconds, Open, Close, High, Low, Volume stock,
                        Volume money]
        default:
          description: Error response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorV1'
components:
  schemas:
    ErrorV1:
      type: object
      properties:
        success:
          type: boolean
          example: false
        message:
          type: string
          description: Error message
          example: ERROR MESSAGE
        params:
          type: array
          items:
            type: string
          example: []

````